com.tibco.n2.service.adapter.component.impl

## Class WPComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.WPComponentImpl

- All Implemented Interfaces:
    WPComponent

      public class WPComponentImpl
      extends java.lang.Object
      implements WPComponent

  TODO Give a useful description of the type.
  Since:
    TODO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WPComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelBusService` | `getChannelBusService()` Returns a Channel Bus Service object.
    `WorkPresentationService` | `getWorkPresentationService()` Returns a Work Presentation Service object.
    `void` | `setChannelBusService(ChannelBusService channelBusService)`
    `void` | `setWorkPresentationService(WorkPresentationService workPresentationServiceProxy)` TODO Describe this mehod

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WPComponentImpl

          public WPComponentImpl()

  - ### Method Detail

    - #### setWorkPresentationService

          public void setWorkPresentationService(WorkPresentationService workPresentationServiceProxy)

      TODO Describe this mehod
      Parameters:
        `workPresentationServiceProxy` - The workPresentationServiceProxy to set.

    - #### getWorkPresentationService

          public WorkPresentationService getWorkPresentationService()

      Description copied from interface: `WPComponent`
      Returns a Work Presentation Service object.
      Specified by:
        `getWorkPresentationService` in interface `WPComponent`
      Returns:

    - #### getChannelBusService

          public ChannelBusService getChannelBusService()
                                                 throws ConfigurationException

      Description copied from interface: `WPComponent`
      Returns a Channel Bus Service object.
      Specified by:
        `getChannelBusService` in interface `WPComponent`
      Returns:
      Throws:
        `ConfigurationException`

    - #### setChannelBusService

          public void setChannelBusService(ChannelBusService channelBusService)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.